Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members Related Pages

# GraceTMPL::Save::Template Struct Reference

Struct to hold template data. More...

`#include <gracetmpl.h>`

List of all members.

## Public Attributes

std::string | filename_
| @brief where the template is from.
std::string | header_
| @brief All lines beginning with '#'.
StringVec | common_
| @brief Everything but graph, sets, strings.
String2Vec | strings_
| @brief All strings but param templates.
StringVecMap | graphs_
| @brief All information on graphs but sets.
StringVec2Map | sets_
| @brief All information on sets.
StringVec2Map | params_
| @brief All param templates.
String2Vec | request_
| @brief All set requests.
StringMap | data_
| @brief The original data from the template.
Copy2Map | copy_
| @brief Flags a Copy-data.
std::map< int, int > | ignore_
| @brieg graphs hat shouldnot get data.
int | gpp_
| @brief graphs per page.
int | ignores_
| @brief graphs to ignore but process anyway.
int | useG0_
| @brief G0 has dataset format of all graphs.
int | valid_
| @brief template is valid and can be used.

## Detailed Description

Struct to hold template data.

Since the strings stored in this structure might be reused for multiple puproses, they may not be altered in any way upon string expansion or alike - make sure to always work on copies.

The documentation for this struct was generated from the following file:

- gracetmpl.h